#!/usr/bin/perl -w
#
# crontab entry:
# 45  6 * * * /usr/sbin/sendnodeinfo.perl

die "Set the destination host names in \$confDestination and comment out this line";

my $confDestination = "host1_running_receivenodeinfo:8600 host2:8600 host3:8600...";
my $confGetinfo     = "/usr/sbin/getnodeinfo.perl";
my $confTimeout     = 60;

alarm $confTimeout;
my $data = `perl $confGetinfo`;

use IO::Socket::INET;
foreach my $dest (split(/\s+/,$confDestination))
  {
    my $s = IO::Socket::INET->new(PeerAddr => $dest);
    if (! defined $s)
      {
        print STDERR "Cannot connect to $dest: $!\n";
        next;
      }

    print $s $data;
    $s->close;
  }

exit 0;

#end file
